Author Topic: Compiling cards  (Read 472 times)

bru65pag

  • Newbie
  • *
  • Posts: 1
  • Karma: +0/-0
Compiling cards
« on: Sun Oct 31 15:02:36 2021 »
Good afternoon,
I'm compiling cards on my machine.After cloning the source from github, it took me some time to figure out which packages should be installed before I could have a successful make. Here is the list of packages I had to install:make, gcc, gcc.devel, glibc, glibc.devel, glibc.man, libarchive.devel, pkg-config, bzip2.devel, zlib.devel, xz.devel

I have now a cards binary sitting in $HOME/.local/usr/bin that seems to work. However, I got those warning messages during compilation:
$ make all
make[1]: Entering directory '/home/bruno/Documents/cards/src'
/usr/bin/ld: pkgdbh.o: in function `Pkgdbh::getFootprintPackage(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&)':
pkgdbh.cxx:(.text+0x8c02): warning: Using 'getgrgid' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libarchive.a(archive_write_disk_set_standard_lookup.o): in function `lookup_gid':
(.text+0x2c2): warning: Using 'getgrnam_r' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/usr/bin/ld: pkgdbh.o: in function `Pkgdbh::getFootprintPackage(std::__cxx11::basic_string<char, std::char_traits<char>, std::allocator<char> >&)':
pkgdbh.cxx:(.text+0x8bac): warning: Using 'getpwuid' in statically linked applications requires at runtime the shared libraries from the glibc version used for linking
/usr/bin/ld: /usr/lib/gcc/x86_64-pc-linux-gnu/11.2.0/../../../../lib/libarchive.a(archive_write_disk_set_standard_l[02:53 x86_64 5.10.74-NuTyX-510 bruno@nutyx]
(.text+0x152): warning: Using 'getpwnam_r' in statically linked applications requires at runtime the shared librari[02:53 x86_64 5.10.74-NuTyX-510 bruno@nutyx]
pkgadd is ready
compiling compile_dependencies_utils.cxx ...
compiling argument_parser.cxx ...
compiling cards_argument_parser.cxx ...
compiling pkgtest.cxx ...
compiling cards_create.cxx ...
compiling cards_sync.cxx ...
compiling cards_install.cxx ...
compiling cards_remove.cxx ...
compiling cards_depends.cxx ...
compiling cards_base.cxx ...
compiling cards_info.cxx ...
compiling cards_upgrade.cxx ...
compiling cards.cxx ...
cards is ready...

My executable seems to work; but I did not try all the possible parameters of the command yet.Should I expect some issue because of the warnings? How should that be fixed?
Thanks. Bruno.

Thierry

  • Administrator
  • Hero Member
  • *****
  • Posts: 597
  • Karma: +10/-0
  • Gender: Male
    • NuTyX distribution
Re: Compiling cards
« Reply #1 on: Mon Nov 01 10:37:21 2021 »
Hello Bruno,
Welcome on NuTyX forum.

Next time you try to compile something, start with installing cards.devel package (even if you want to recompile it)

Code: [Select]
sudo cards install cards.develIt will pull all the necessary dependencies(gcc.devel, glibc.devel, libarchive.devel, pkg-config, bzip2.devel, zlib.devel, xz.devel, etc) for you.

The warning you get is absolutly normal, that's because the pkgadd utility is statically compiled. It's a glibc warning.

Regards,
Thierr